﻿Public Class AboutDialog

    Private Sub AboutDialog_Load(sender As System.Object, e As System.EventArgs) Handles MyBase.Load
        '自分自身のバージョン情報を取得する
        Dim ver As System.Diagnostics.FileVersionInfo = _
            System.Diagnostics.FileVersionInfo.GetVersionInfo( _
            System.Reflection.Assembly.GetExecutingAssembly().Location)

        'AssemblyTitleの取得
        Dim asmttl As System.Reflection.AssemblyTitleAttribute = _
            CType(Attribute.GetCustomAttribute( _
                System.Reflection.Assembly.GetExecutingAssembly(), _
                GetType(System.Reflection.AssemblyTitleAttribute)),  _
                    System.Reflection.AssemblyTitleAttribute)
        lblSoftwareNameVer.Text = asmttl.Title & " version " & ver.FileMajorPart & "." & ver.FileMinorPart & ver.FileBuildPart & MainWindow.strBetaVer

        'AssemblyCopyrightの取得
        Dim asmcpy As System.Reflection.AssemblyCopyrightAttribute = _
            CType(Attribute.GetCustomAttribute( _
                System.Reflection.Assembly.GetExecutingAssembly(), _
                GetType(System.Reflection.AssemblyCopyrightAttribute)),  _
                    System.Reflection.AssemblyCopyrightAttribute)
        lblCopyright.Text = asmcpy.Copyright

        ' URL
        lblLinkLabel.Text = MainWindow.strURL
    End Sub

    Private Sub lblLinkLabel_LinkClicked(sender As System.Object, e As System.Windows.Forms.LinkLabelLinkClickedEventArgs) Handles lblLinkLabel.LinkClicked
        Try
            System.Diagnostics.Process.Start(lblLinkLabel.Text)
            lblLinkLabel.LinkVisited = True
        Catch ex As Exception
            ErrorDialog.ShowMessage("URLを開けません。", ex.ToString(), "バージョン情報")
        End Try
    End Sub
End Class